Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 0

Name:           nodejs-lockfile
Version:        1.0.1
Release:        alt1_7
Summary:        A very polite lock file utility

License:        BSD
URL:            https://github.com/isaacs/lockfile
Source0:        http://registry.npmjs.org/lockfile/-/lockfile-%{version}.tgz
BuildArch:      noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:      npm(tap)
BuildRequires:      npm(touch)
%endif
Source44: import.info


%description
A very polite lock file utility, which endeavors to not litter, and to wait
patiently for others.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/lockfile
cp -pr package.json lockfile.js test %{buildroot}%{nodejs_sitelib}/lockfile
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
%tap test/*.js
%endif


%files
%doc LICENSE README.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/lockfile


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_7
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_2
- fc import

* Mon Jul 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.4-alt1_1
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.0-alt1_1
- initial import

